Bug 51409 - search with swedish characters (8-bit) does not work
search with swedish characters (8-bit) does not work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: less (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-10 06:02 EDT by Dennis Björklund
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-30 07:10:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Björklund 2001-08-10 06:02:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010802

Description of problem:
less can not show swedish characters (edv) when searching. 

How reproducible:
Always

Steps to Reproduce:
1. Open file with less. less /etc/inputrc
2. Press / to search something
3. Enter an 8-bit character. Like pressing v on a swedish keyboard

	

Actual Results:  It displays garbage instead of the characters expected.

Additional info:

This seems to have been broken i rh70 also. I took the less that came with
rh62 (less-346-2) and recompiled it for rh71 and with this version of less
everything works.

The less-346-2 src package from rh62 is however also a bit broken since you
can not build it as a ordinary user and it writes over files in /usr when
you create the package.

I change the spec file for less-3.4.6 in two places. The make install became:

make install prefix=$RPM_BUILD_ROOT/usr bindir=$RPM_BUILD_ROOT/usr/bin
mandir=$RPM_BUILD_ROOT%{_mandir}
and in the files section:

%{_mandir}/man1/*

Using %{_mandir} might not be the best, but it works for me.

I don't know if the newer versions of less have the same problems with the
spec file. I tell you this just in case it does. For me the old less is
working good enough.
Comment 1 Karsten Hopp 2002-06-18 19:11:26 EDT
can you please test less-358-27 ? (It might take a while to show up in rawhide)
Comment 2 Karsten Hopp 2003-01-30 07:10:40 EST
closing this bug due to inactivity 

Note You need to log in before you can comment on or make changes to this bug.